2.03 - 2010-05-23

    * fix CPAN #57530: IPC::Msg Documentation Bug
      (thanks to Jonathan Hartzog for spotting this)

2.02 - 2010-03-07

    * fix CPAN #50762: mistaken use of $[
      (thanks to Zefram for spotting this)
    * no need to specify an empty MAN3PODS in the core anymore
      (thanks to Nicholas Clark for providing a patch)

2.01 - 2009-03-15

    released without changes

2.00_02 - 2008-11-28

    * check for ENOMEM and EACCES and skip tests as neccessary

2.00_01 - 2008-11-26

    * remove const-* when building in the core
    * inherit libscan behaviour from EU::MM
    * integrate #33084 from blead
    * try to make Win32 report NA instead of FAIL
    * fix bug in IPC::SharedMem constructor returning undef when
      shared memory id == 0 (thanks to Antonio Jose Coutinho for
      spotting this)

2.00 - 2007-12-30

    * fixed compilation issues with C++ compiler
    * ignore .swp files in when scanning lib directory

1.99_07 - 2007-10-22

    * terminate Makefile.PL on MSWin32 with a message that the
      module cannot be built here
    * catch SIGSYS locally to skip tests and issue a message
      on cygwin that cygserver needs to be installed and the
      CYGWIN environment variable needs to be set

1.99_06 - 2007-10-19

    * handle systems built without SysV IPC support by checking
      for ENOSYS and skipping the tests (and give a diagnostic
      message)

1.99_05 - 2007-10-18

    * make sure we can build even without ExtUtils::Constant
      installed and messed up dependencies
    * avoid indirect notation in docs
    * cannot do arithmetics on void pointers

1.99_04 - 2007-10-14

    * add documentation for IPC::SharedMem
    * add POD coverage test
    * use less semaphores in t/sem.t to make sure the
      tests get run on *BSD
    * rename constant subroutine to _constant, as it's
      supposed to be private

1.99_03 - 2007-10-13

    * add first IPC::SharedMem implementation
    * refactor the "stat" pack/unpack code

1.99_02 - 2007-10-13

    * don't plan twice if no semaphores can be allocated

1.99_01 - 2007-10-13

    * dual-life code and tests
    * backport to 5.004_05
    * make tests to use Test::More
    * add shmat(), shmdt(), memread(), memwrite()
    * improve ftok() interface
    * fix inconsistencies between SysV.xs and SysV.pm
    * autogenerate all constants
    * make checking against ENOSPC more robust

1.04 - 2007-09-27

	Internal version. Integrate all changes up to blead.

	* ChangeLog@1:
	  initial checkin

	* Makefile.PL@2:
	  Change 1407 by gsar@aatma on 1998/07/10 21:35:13
	  
	  		From: Andy Dougherty <doughera@lafcol.lafayette.edu>
	  		Date: Thu, 9 Jul 1998 11:26:03 -0400 (EDT)
	  		Subject: [PATCH 5.004_71] Allow static build of IPC::SysV
	  		Message-Id: <Pine.SUN.3.96.980709112507.24236B-100000@newton.phys>

	* SysV.xs@5:
	  Change 1443 by gsar@aatma on 1998/07/11 23:08:14
	  
	  	tweak to get BSDI to build IPC/SysV
	  		From: Jarkko Hietaniemi <jhi@cc.hut.fi>
	  		Date: 11 Jul 1998 16:26:44 +0300
	  		Message-ID: <oeeww9kecx7.fsf@alpha.hut.fi>
	  		Subject: Re: NOT OK: perl5.004_71 on BSDI 3.1

	* SysV.xs@6:
	  Change 1501 by gsar@aatma on 1998/07/15 05:59:49
	  
	  	apply (reversed) patch
	  		From: Peter Wolfe <wolfe@titan.teloseng.com>
	  		Date: Tue, 14 Jul 1998 13:01:58 -0700 (PDT)
	  		Message-Id: <199807142001.NAA26550@titan.teloseng.com>
	  		Subject: NOT_OK: perl 5.00474 on SCO 3.2v5.0.4

	* SysV.xs@7:
	  Change 1578 by gsar@aatma on 1998/07/20 09:38:39
	  
	  	complete s/foo/PL_foo/ changes (all escaped cases identified with
	  	brute force search script).  Result builds and passes all tests on
	  	Solaris.  win32 and PERL_OBJECT are still untested.

	* SysV.xs@8:
	  Change 1760 by gsar@aatma on 1998/08/08 22:18:54
	  
	  	integrate maint-5.005 changes into mainline

	* Makefile.PL@3:
	  Change 1922 by gsar@aatma on 1998/10/03 03:59:50
	  
	  	suppress manifypods leak in extensions

	* SysV.xs@9:
	  Change 1904 by gsar@aatma on 1998/10/02 01:53:25
	  
	  	various Configure and hints updates (prefer drand48() or random()
	  	over rand(); add -Dusemultiplicity; enhanced 64-bitness);  patch
	  	applied modulo SCO hints superceded by later patch
	  		From: Jarkko Hietaniemi <jhi@iki.fi>
	  		Date: Tue, 29 Sep 1998 00:56:33 +0300 (EET DST)
	  		Message-Id: <199809282156.AAA18615@alpha.hut.fi>
	  		Subject: [PATCH] 5.005_52: Configure et al:

	* hints@1:
	  no comment

	* hints/next_3.pl@1:
	  Change 1904 by gsar@aatma on 1998/10/02 01:53:25
	  
	  	various Configure and hints updates (prefer drand48() or random()
	  	over rand(); add -Dusemultiplicity; enhanced 64-bitness);  patch
	  	applied modulo SCO hints superceded by later patch
	  		From: Jarkko Hietaniemi <jhi@iki.fi>
	  		Date: Tue, 29 Sep 1998 00:56:33 +0300 (EET DST)
	  		Message-Id: <199809282156.AAA18615@alpha.hut.fi>
	  		Subject: [PATCH] 5.005_52: Configure et al:

	* Makefile.PL@4:
	  Change 1967 by gsar@aatma on 1998/10/15 02:46:08
	  
	  	correct bugs exposed in MM_Unix.pm by commenting out Selfloader
	  	(MAN3PODS cannot be set to ' '; stray stricture violation)

	* Msg.pm@2:
	  Change 2220 by gsar@aatma on 1998/11/08 21:13:07
	  
	  	integrate changes#2120,2168,2218 from maint-5.005;
	  	add new vtbls; s/\bvtbl_/PL_vtbl_/; remove trailing comma in
	  	enum; make regen_headers

	* SysV.xs@10:
	  Change 2145 by gsar@aatma on 1998/10/30 18:46:58
	  
	  	remaining PL_foo stragglers

	* SysV.xs@11:
	  Change 2695 by gsar@sparc26 on 1999/01/24 07:09:05
	  
	  	integrate cfgperl changes into mainline

	* SysV.xs@12:
	  Change 2830 by gsar@sparc26 on 1999/02/08 00:19:46
	  
	  	integrate cfgperl changes into mainline

	* SysV.xs@13:
	  Change 2958 by gsar@sparc26 on 1999/02/16 06:18:27
	  
	  	integrate change#2852 from maint-5.005; integrate cfgperl contents;
	  	elide dups and non-dependents from Changes

	* SysV.xs@14:
	  Change 3217 by gsar@sparc26 on 1999/04/04 01:59:26
	  
	  	correct places that said newSVpv() when they meant newSVpvn()

	* SysV.xs@15:
	  Change 3518 by gsar@sparc26 on 1999/06/02 04:47:10
	  
	  	remove _() non-ansism

	* SysV.pm@5:
	  Change 4910 by gsar@rake on 2000/01/27 03:56:48
	  
	  	various pod nits identified by installhtml (all fixed except
	  	unresolved links)

	* hints/cygwin.pl@1:
	  Change 4769 by gsar@auger on 2000/01/07 18:23:16
	  
	  	cygwin update (from Eric Fifer <EFifer@sanwaint.com>)

	* Makefile.PL@5:
	  Change 6383 by gsar@auger on 2000/07/12 16:00:51
	  
	  	don't clobber *.orig files on *clean targets

	* Msg.pm@3:
	  Change 5507 by gsar@auger on 2000/03/04 04:27:51
	  
	  	more whitespace removal (from Michael G Schwern)

	* Msg.pm@4:
	  Change 5822 by gsar@auger on 2000/03/19 07:34:29
	  
	  	integrate cfgperl contents into mainline

	* Semaphore.pm@2:
	  Change 5507 by gsar@auger on 2000/03/04 04:27:51
	  
	  	more whitespace removal (from Michael G Schwern)

	* Makefile.PL@6:
	  Change 6398 by gsar@auger on 2000/07/14 08:55:38
	  
	  	rename totally bletcherous SvLOCK() thingy (doesn't do what the
	  	name suggests anyway)

	* Msg.pm@5:
	  Change 9176 by jhi@alpha on 2001/03/16 02:56:04
	  
	  	Subject: [PATCH] more pod patches
	  	From: Michael Stevens <michael@etla.org>
	  	Date: Thu, 15 Mar 2001 21:25:18 +0000
	  	Message-ID: <20010315212518.A18870@firedrake.org>

	* SysV.xs@16:
	  Change 7614 by jhi@alpha on 2000/11/08 22:42:55
	  
	  	A missing aTHX_.

	* SysV.xs@17:
	  Change 8837 by jhi@alpha on 2001/02/18 22:16:50
	  
	  	Subject: [patch] -Wall cleanup round 2
	  	From: Doug MacEachern <dougm@covalent.net>
	  	Date: Sun, 18 Feb 2001 13:08:04 -0800 (PST)
	  	Message-ID: <Pine.LNX.4.21.0102181304520.10021-100000@mako.covalent.net>

	* Semaphore.pm@3, SysV.pm@6:
	  Change 9176 by jhi@alpha on 2001/03/16 02:56:04
	  
	  	Subject: [PATCH] more pod patches
	  	From: Michael Stevens <michael@etla.org>
	  	Date: Thu, 15 Mar 2001 21:25:18 +0000
	  	Message-ID: <20010315212518.A18870@firedrake.org>

	* t/msg.t@2, t/sem.t@2:
	  Change 10684 by jhi@alpha on 2001/06/18 12:25:55
	  
	  	Guard the SysV IPC tests against being invoked in
	  	SysV-IPC-less places.

	* Semaphore.pm@4:
	  Change 10839 by jhi@alpha on 2001/06/22 21:15:32
	  
	  	The packs must be done in native shorts, fix from Mark P. Lutz.

	* Semaphore.pm@5:
	  Change 10980 by jhi@alpha on 2001/06/27 11:45:29
	  
	  	"lose the it's", from Abhijit Menon-Sen.
	  	("It's" not searched, pods not searched.)

	* SysV.xs@18:
	  Change 11012 by jhi@alpha on 2001/06/28 21:36:36
	  
	  	Cannot DIE() in a void function,
	  	from Richard Hatch <rhatch@austin.ibm.com>.

	* t/msg.t@3, t/sem.t@3:
	  Change 10712 by jhi@alpha on 2001/06/19 10:34:35
	  
	  	One test lost in the big shuffle restored.

	* Msg.pm@6:
	  Change 11016 by jhi@alpha on 2001/06/29 03:38:56
	  
	  	Bump up the VERSIONs of modules that have changed since 5.6.0,
	  	the modules found using a script written by Larry Schatzer Jr.

	* Msg.pm@7:
	  Change 11047 by jhi@alpha on 2001/06/30 16:03:40
	  
	  	More VERSION tuning: to avoid unnecessary Perl upgrades
	  	by CPAN.pm, use rather _00.

	* Semaphore.pm@6, SysV.pm@7:
	  Change 11016 by jhi@alpha on 2001/06/29 03:38:56
	  
	  	Bump up the VERSIONs of modules that have changed since 5.6.0,
	  	the modules found using a script written by Larry Schatzer Jr.

	* Semaphore.pm@7:
	  Change 11047 by jhi@alpha on 2001/06/30 16:03:40
	  
	  	More VERSION tuning: to avoid unnecessary Perl upgrades
	  	by CPAN.pm, use rather _00.

	* Semaphore.pm@8:
	  Change 14864 by jhi@alpha on 2002/02/25 13:51:32
	  
	  	Typo corrections from John P. Linderman.

	* SysV.pm@8:
	  Change 11047 by jhi@alpha on 2001/06/30 16:03:40
	  
	  	More VERSION tuning: to avoid unnecessary Perl upgrades
	  	by CPAN.pm, use rather _00.

	* SysV.xs@19:
	  Change 11051 by jhi@alpha on 2001/06/30 20:59:57
	  
	  	Code cleanup based on turning off the -woffs in IRIX.
	  	Not all of the gripes cleaned up (hairy code in hv.c and
	  	regcomp.c; unused newsp, gimme, and optype from cop.h macros;
	  	unused 'key' arguments in ?DBM_File.xs) (and the -woffs left
	  	to the IRIX hints)

	* Msg.pm@8, Semaphore.pm@9, SysV.pm@9:
	  Change 16822 by jhi@alpha on 2002/05/27 20:42:47
	  
	  	Subject: Re: [PATCH] Version tango
	  	From: sthoenna@efn.org (Yitzchak Scott-Thoennes)
	  	Date: Mon, 27 May 2002 13:20:56 -0700
	  	Message-ID: <oUp88gzkgy+T092yn@efn.org>

	* Msg.pm@9:
	  Change 18811 by hv@hv-crypt.org on 2003/03/02 22:30:50
	  
	  	Subject: [perl #21289] [Fwd: IPC::Msg bug report]
	  	From: Edmund Bacon (via RT) <perlbug-followup@perl.org>
	  	Date: 18 Feb 2003 21:05:15 -0000
	  	Message-Id: <rt-21289-52384.13.2700974026643@bugs6.perl.org>

	* Semaphore.pm@10:
	  Change 17825 by hv@hv-crypt.org on 2002/09/04 10:53:59
	  
	  	Subject: Re: Possible bug in IPC/Semaphore.pm [PATCH]
	  	From: "John P. Linderman" <jpl@research.att.com>
	  	Date: Wed, 28 Aug 2002 08:04:29 -0400 (EDT)
	  	Message-Id: <200208271900.PAA98096@raptor.research.att.com>

	* t/msg.t@4:
	  Change 19358 by jhi@kosh on 2003/04/28 08:27:15
	  
	  	SysV msg queues can be something hanging (witnessed in IRIX),
	  	so let's use IPC_NOWAIT.

	* MANIFEST@3, t/ipcsysv.t@1:
	  Change 20269 by jhi@kosh on 2003/07/28 15:07:22
	  
	  	No more ext/*/*.t, move them all to ext/*/t.

	* Msg.pm@10:
	  Change 20686 by jhi@kosh on 2003/08/13 18:42:50
	  
	  	Subject: Re: script wanted
	  	From: Nicholas Clark <nick@ccl4.org>
	  	Date: Wed, 13 Aug 2003 20:46:09 +0100
	  	Message-ID: <20030813204609.G20130@plum.flirble.org>

	* Msg.pm@11:
	  Change 20687 by jhi@kosh on 2003/08/13 18:53:15
	  
	  	Alpha version numbers noticed by Schwern.
	  	(These hacks are no more needed since the PAUSE indexer no
	  	 more indexes the insides of Perl distributions, says Andreas.)

	* Semaphore.pm@11:
	  Change 20686 by jhi@kosh on 2003/08/13 18:42:50
	  
	  	Subject: Re: script wanted
	  	From: Nicholas Clark <nick@ccl4.org>
	  	Date: Wed, 13 Aug 2003 20:46:09 +0100
	  	Message-ID: <20030813204609.G20130@plum.flirble.org>

	* t/msg.t@5, t/sem.t@4:
	  Change 20490 by jhi@kosh on 2003/08/05 06:28:06
	  
	  	[perl #23216] ext/IPC/SysV/t/sem.t don't remove semaphore on NetBSD sparc
	  	Try to remove the created message queues and semaphores
	  	even in the case of failures.

	* Semaphore.pm@12, SysV.pm@10:
	  Change 20687 by jhi@kosh on 2003/08/13 18:53:15
	  
	  	Alpha version numbers noticed by Schwern.
	  	(These hacks are no more needed since the PAUSE indexer no
	  	 more indexes the insides of Perl distributions, says Andreas.)

	* hints/cygwin.pl@2:
	  Change 22358 by rgs@rgs-home on 2004/02/22 21:49:47
	  
	  	Subject: initial patch for cygwin IPC via cygserver
	  	From: Yitzchak Scott-Thoennes <sthoenna@efn.org>
	  	Date: Thu, 19 Feb 2004 09:01:13 -0800
	  	Message-ID: <20040219170113.GA2792@efn.org>

	* t/ipcsysv.t@2, t/sem.t@5:
	  Change 28131 by nicholas@nicholas-saigo on 2006/05/08 21:11:37
	  
	  	Subject: [PATCH] ext/IPC/SysV/t/ipcsysv.t using test.pl
	  	From: David Landgren <david@landgren.net>
	  	Message-ID: <445B694B.8060901@landgren.net>
	  	Date: Fri, 05 May 2006 17:03:39 +0200
	  	
	  	Subject: Re: [PATCH] ext/IPC/SysV/t/sem.t using test.pl
	  	From: David Landgren <david@landgren.net>
	  	Message-ID: <445B75EF.3000100@landgren.net>
	  	Date: Fri, 05 May 2006 17:57:35 +0200

	* Msg.pm@12, Semaphore.pm@13, SysV.pm@11:
	  Change 28313 by stevep@stevep-kirk on 2006/05/26 15:03:12
	  
	  	Subject: [PATCH] SysV IPC
	  	From: Jarkko Hietaniemi <jhietaniemi@gmail.com>
	  	Date: Thu, 25 May 2006 18:49:33 +0300
	  	Message-ID: <4475D20D.9010600@gmail.com>

	* t/sem.t@6:
	  Change 28138 by rgs@stencil on 2006/05/09 13:45:43
	  
	  	Subject: Re: [PATCH] ext/IPC/SysV/t/ipcsysv.t using test.pl
	  	From: David Landgren <david@landgren.net>
	  	Date: Tue, 09 May 2006 13:03:22 +0200
	  	Message-ID: <446076FA.6010409@landgren.net>

	* SysV.xs@20:
	  Change 29977 by nicholas@entropy on 2007/01/25 20:57:56
	  
	  	The last parameter to gv_stashpv/gv_stashpvn/gv_stashsv is a bitmask
	  	of flags, not a boolean, so correct the documenation and callers.

	* SysV.xs@21:
	  Change 31702 by ams@penne on 2007/08/12 14:10:10
	  
	  	Use sysconf/getpagesize/page.h to determine page size on Linux,
	  	in that order.
	  	
	  	Subject: Re: [PATCH] Various Gentoo Patches
	  	From: Marcus Holland-Moritz <mhx-perl@gmx.net>
	  	Date: Sun, 12 Aug 2007 13:16:52 +0200
	  	Message-Id: <20070812131652.16ca5444@r2d2>

	* t/ipcsysv.t@3:
	  Change 31967 by rgs@stcosmo on 2007/09/25 13:16:19
	  
	  	Subject: Re: [perl #45513] Test failures on amd64-freebsd 6.2
	  	From: Slaven Rezic <slaven@rezic.de>
	  	Date: 19 Sep 2007 21:56:00 +0200
	  	Message-ID: <87abri1lbj.fsf@biokovo-amd64.herceg.de>

Fri Jul  3 15:06:40 1998  Jarkko Hietaniemi  <jhi@iki.fi>

	- Integrated IPC::SysV 1.03 to Perl 5.004_69.

Change 142 on 1998/05/31 by <gbarr@pobox.com> (Graham Barr)

	- Changed SHMLBA from a constSUB to an XS sub as on some systems it is not
	  a constant
	- Added a missing MODULE line to SysV.xs so ftok is defined in IPC::SysV

Change 138 on 1998/05/23 by <gbarr@pobox.com> (Graham Barr)

	Applied patch from Jarkko Hietaniemi to add constats for UNICOS
	
	Reduced size of XS object by changing constant sub definition
	into a loop
	
	Updated POD to include ftok()

Change 135 on 1998/05/18 by <gbarr@pobox.com> (Graham Barr)

	applied changes from Jarkko Hietaniemi <jhi@iki.fi> to add
	new constants and ftok
	
	fixed to compile with >5.004_50
	
	surrounded newCONSTSUB with #ifndef as perl now defines this itself

